summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author dsomero2012-09-30 17:21:04 +0200
committer Robby Workman2012-10-01 03:01:08 +0200
commit4871323cc13042a9c3f85e3fef60cea139e754a8 (patch)
tree4910ec0c82dba178fdcce721c1bf8952a406f1ad
parentd237ca59c58f10f656cd5c8c9695419f4cce5883 (diff)
downloadslackbuilds-4871323cc13042a9c3f85e3fef60cea139e754a8.tar.gz
network/qutim: Fixed (Handle icon files)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--network/qutim/doinst.sh6
-rw-r--r--network/qutim/qutim.SlackBuild4
2 files changed, 8 insertions, 2 deletions
diff --git a/network/qutim/doinst.sh b/network/qutim/doinst.sh
index 5fb28930db..3e5691a052 100644
--- a/network/qutim/doinst.sh
+++ b/network/qutim/doinst.sh
@@ -1,3 +1,9 @@
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/qutim/qutim.SlackBuild b/network/qutim/qutim.SlackBuild
index babef25028..7867b7b363 100644
--- a/network/qutim/qutim.SlackBuild
+++ b/network/qutim/qutim.SlackBuild
@@ -24,7 +24,7 @@
PRGNAM=qutim
VERSION=${VERSION:-20120728_c85176a}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -56,7 +56,7 @@ fi
DOCS="AUTHORS CCBYSA COPYING GPL README.mediawiki"
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT